Bug 181421 - Missing support for annotation processor options (-Akey=value)
Missing support for annotation processor options (-Akey=value)
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Classpath
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
: API, API_REVIEW_FAST
Depends on: 181555
Blocks: 179749
  Show dependency treegraph
 
Reported: 2010-03-02 07:33 UTC by Jesse Glick
Modified: 2010-03-05 05:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (24.68 KB, patch)
2010-03-03 10:04 UTC, Dusan Balek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-03-02 07:33:35 UTC
AnnotationProcessingQuery.Result should be able to specify a Map<String,String> processorOptions corresponding to the -A options passed to javac.

Marking P2 because it will be harder to change the API after a release. Anyway it should be simple to implement.
Comment 1 Dusan Balek 2010-03-03 10:04:31 UTC
Created attachment 94730 [details]
Proposed patch
Comment 2 Jesse Glick 2010-03-03 12:59:33 UTC
[JG01] Should not be marked as compatible when you are adding an interface method. Of course this is prerelease code.


[JG02] processorOptions Javadoc should be clear that values can be null, as specified in ProcessingEnvironment.getOptions. (Would be good to link to that Javadoc BTW.)


When in main-silver I will update the impl in contrib/autoproject.java, which should be an easy change (am already sniffing -A options from javac).
Comment 3 Jan Lahoda 2010-03-04 03:01:45 UTC
(In reply to comment #2)
> [JG01] Should not be marked as compatible when you are adding an interface
> method. Of course this is prerelease code.

I think that the incompatible flag should be used when doing change incompatible with previous release(s), not doing incompatible changes to API introduced in the same release.

> 
> 
> 
> When in main-silver I will update the impl in contrib/autoproject.java, which
> should be an easy change (am already sniffing -A options from javac).

I think that contrib/autoproject can be updated anytime, even before this change is part of main-silver (the method will never be called before that, but should not cause any problems, AFAIK).
Comment 4 Dusan Balek 2010-03-04 09:26:28 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/2e6243ee12a5
Comment 5 Quality Engineering 2010-03-04 22:10:06 UTC
Integrated into 'main-golden', will be available in build *201003050200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2e6243ee12a5
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #181421: Missing support for annotation processor options (-Akey=value) added


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo